Bug 770346 - Remove-brick commit operation causing data loss
Remove-brick commit operation causing data loss
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Amar Tumballi
BETA1
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-12-26 01:05 EST by shylesh
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:26:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa33
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2011-12-26 01:05:39 EST
Description of problem:
removing a brick looses all data from that brick

Version-Release number of selected component (if applicable):
Mainline

How reproducible:
often

Steps to Reproduce:
1.create a distribute volume with 2 bricks 
2.create some files and directories on the mount point
3.gluster volume remove-brick $vol $brick2 start 
4. Once the status shows completed execute "gluster volume remove-brick $vol $brick2 commit"
  
Actual results:
Number of files decreased on the mount point after the operation

Expected results:
This feature should migrate the files to the remaining bricks and there should be no data loss

Additional info:
Comment 1 Amar Tumballi 2012-03-12 05:46:35 EDT
please update these bugs w.r.to 3.3.0qa27, need to work on it as per target milestone set.
Comment 2 shylesh 2012-03-12 06:23:06 EDT
 This bug is still reproducible on  3.3.0qa27

(In reply to comment #1)
> please update these bugs w.r.to 3.3.0qa27, need to work on it as per target
> milestone set.
Comment 3 Amar Tumballi 2012-03-13 08:34:06 EDT
patch sent : http://review.gluster.com/2933
Comment 4 Anand Avati 2012-03-14 06:24:32 EDT
CHANGE: http://review.gluster.com/2933 (distribute-rebalance: fix the logic of ENOENT handling) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 5 shylesh 2012-04-09 02:42:08 EDT
Data loss upon single brick removal is fixed, however removing multiple bricks at the same time has issues will log a new bug.

Note You need to log in before you can comment on or make changes to this bug.